=== examples/extended/CMakeLists.txt ===

add_subdirectory(rotation)
