## tomopy 1.10.4%2Bds1

=== debian/control ===
Source: tomopy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: contrib/python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 python3-skbuild, python3-numpy, python3-scipy, python3-numexpr, python3-skimage,
 libopencv-dev, ninja-build, nvidia-cuda-toolkit, intel-mkl [amd64 i386],
 debhelper (>= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/tomopy/tomopy
Vcs-Git: https://salsa.debian.org/python-team/packages/tomopy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tomopy

Package: python3-tomopy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy,
 python3-scipy, python3-numexpr, python3-skimage
Description: Python package for tomographic data processing and image reconstruction
 Features:
  * Image reconstruction algorithms for tomography.
  * Various filters, ring removal algorithms, phase retrieval algorithms.
  * Forward projection operator for absorption and wave propagation.
