## tomopy 1.10.4+ds1

=== debian/changelog ===
tomopy (1.10.4+ds1-7) unstable; urgency=medium

  * Recommend python3-dxchange.

 -- Roland Mas <lolando@debian.org>  Tue, 31 Jan 2023 11:21:47 +0100

tomopy (1.10.4+ds1-6) unstable; urgency=medium

  * Depend on the actual version of libufo.

 -- Roland Mas <lolando@debian.org>  Wed, 11 Jan 2023 17:16:47 +0100

tomopy (1.10.4+ds1-5) unstable; urgency=medium

  * Team upload.
  * Do not hardcode compiler versions.
  * Add cmake flag -DCMAKE_CUDA_HOST_COMPILER=cuda-g++ to fix CUDA detection.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Nov 2022 14:25:42 +0100

tomopy (1.10.4+ds1-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * rules: Ensure source/PTL exists.
  * Switch to B-D: nvidia-cuda-tookit-gcc.

  [ Roland Mas ]
  * Bug fix: "needs manual rebuild for opencv transition", thanks to
    Sebastian Ramacher (Closes: #1014248).
  * Also, force building with gcc-10 and g++-10.

 -- Roland Mas <lolando@debian.org>  Sat, 15 Oct 2022 12:20:44 +0200

tomopy (1.10.4+ds1-3) unstable; urgency=medium

  * Bug fix: "please restrict the B-D: intel-mkl to [amd64 i386]", thanks
    to Andreas Beckmann (Closes: #1006995).

 -- Roland Mas <lolando@debian.org>  Thu, 10 Mar 2022 13:56:32 +0100

tomopy (1.10.4+ds1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Feb 2022 20:09:10 +0100

tomopy (1.10.4+ds1-1) unstable; urgency=low

  * Initial upload (closes: #996481).

 -- Roland Mas <lolando@debian.org>  Thu, 21 Oct 2021 18:00:39 +0200
