=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tomopy

%:
	dh $@ --with python3 --buildsystem=pybuild

PTLLINKS=VERSION CMakeLists.txt cmake source
execute_before_dh_auto_configure:
	mkdir -p source/PTL
	for i in $(PTLLINKS) ; do ln -s ../../PTL/$$i source/PTL/ ; done

execute_after_dh_auto_clean:
	for i in $(PTLLINKS) ; do rm -f source/PTL/$$i ; done
