=== debian/changelog ===
tomopy (1.14.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Disable Intel MKL (FTBFS).
  * Tweak search path for private libtomo-* libraries (this fixes autopkgtest).

 -- Roland Mas <lolando@debian.org>  Wed, 16 Aug 2023 18:55:05 +0200

tomopy (1.10.4+ds1-9) unstable; urgency=medium

  * Add autopkgtest.
  * Load architecture-specific shared object when relevant.

 -- Roland Mas <lolando@debian.org>  Tue, 21 Feb 2023 17:58:40 +0100

tomopy (1.10.4+ds1-8) unstable; urgency=medium

  * Bug fix: "please fix build on atomic architectures", thanks to
    Gianfranco Costamagna (Closes: #1030295).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Feb 2023 15:40:46 +0100
