=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
 Build-Depends: dh-python, python3-setuptools, python3-all,
  python3-skbuild, python3-numpy, python3-scipy, python3-numexpr, python3-skimage,
  libopencv-dev,
- ninja-build,
  nvidia-cuda-toolkit-gcc [amd64 arm64 ppc64el],
- intel-mkl [amd64 i386],
+# intel-mkl [amd64 i386],
+ libfftw3-dev,
+ pybuild-plugin-pyproject,
+ python3-nose,
+ rename,
  debhelper (>= 13)
 Standards-Version: 4.5.1
 Homepage: https://github.com/tomopy/tomopy
