=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tomopy
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

LIBTOMOPATH=/usr/lib/python3/dist-packages/tomopy/util/extern

export CMAKE_OPTIONS := \
  -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
  -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
  -DWITH_SHARED_LIB=1 \
  -DWITH_STATIC_LIB=0 \
  -DCMAKE_INSTALL_LIBDIR=$(LIBTOMOPATH) \
  -DCMAKE_BUILD_TYPE=Release

%:
	dh $@ --with python3 --buildsystem=pybuild --test-nose

PTLLINKS=VERSION CMakeLists.txt cmake source
override_dh_auto_configure:
	mkdir -p source/PTL
	for i in $(PTLLINKS) ; do ln -s ../../PTL/$$i source/PTL/ ; done
	dh_auto_configure -Spython3 --buildsystem=pybuild -O--test-nose
	dh_auto_configure -Scmake -- $(CMAKE_OPTIONS)

override_dh_auto_build:
	dh_auto_build -Spython3 --buildsystem=pybuild -O--test-nose
	dh_auto_build -Scmake
	dh_auto_install -Scmake

override_dh_auto_install:
	dh_auto_install -Spython3 --buildsystem=pybuild -O--test-nose
	dh_auto_install -Scmake

execute_after_dh_auto_clean:
	for i in $(PTLLINKS) ; do rm -f source/PTL/$$i ; done

execute_before_dh_auto_test:
	cp debian/python3-tomopy/$(LIBTOMOPATH)/*.so $(CURDIR)/.pybuild/cpython*/build/tomopy/util/extern

execute_after_dh_auto_test:
	rm -f $(CURDIR)/.pybuild/cpython*/build/tomopy/util/extern/*.so
