## tomopy 1.15.0+ds1

=== debian/changelog ===
tomopy (1.15.0+ds1-8) unstable; urgency=medium

  * Bug fix: "FTBFS: test_shape fails on single-CPU systems", thanks to
    Santiago Vila (Closes: #1083180).

 -- Roland Mas <lolando@debian.org>  Sat, 05 Oct 2024 10:13:17 +0200

tomopy (1.15.0+ds1-7) unstable; urgency=medium

  * Only try to use OpenMP if present.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Oct 2024 22:44:35 +0200

tomopy (1.15.0+ds1-6) unstable; urgency=medium

  * Only try to use MKL if present.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Oct 2024 22:05:44 +0200

tomopy (1.15.0+ds1-5) unstable; urgency=medium

  * Include upstream patch to port to Scipy 1.14, this fixes: "tests fail
    with scipy 1.14", thanks to Drew Parsons (Closes: #1082288).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Sep 2024 20:24:11 +0200

tomopy (1.15.0+ds1-4) unstable; urgency=medium

  * Re-enable Intel MKL; this now works with only an extra build-depends,
    and fixes: "CUDA + MKL =&gt; FTBFS", thanks to Andreas Beckmann (Closes: #1023347).

 -- Roland Mas <lolando@debian.org>  Wed, 18 Sep 2024 15:20:36 +0200

tomopy (1.15.0+ds1-3) unstable; urgency=medium

  * Switch to pytest, to fix "build-depends on python3-nose or uses it for
    autopkgtest", thanks to Alexandre Detiste (Closes: #1081427).

 -- Roland Mas <lolando@debian.org>  Wed, 11 Sep 2024 17:54:36 +0200

tomopy (1.15.0+ds1-2) unstable; urgency=medium

  * Increase testsuite tolerance a bit to cope with i386.

 -- Roland Mas <lolando@debian.org>  Wed, 11 Sep 2024 16:31:15 +0200

tomopy (1.15.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends.
  * Backport patch from upstream to fix "tests fail with scipy 1.13",
    thanks to Drew Parsons (Closes: #1073546).
  * This also seems to fix: "FTBFS with CUDA 12: nvcc fatal :
    Unsupported gpu architecture &#39;compute_35&#39;", thanks to Andreas
    Beckmann (Closes: #1036684). 
  * Bug fix: "FTBFS with two supported python versions", thanks to Andreas
    Beckmann (Closes: #1061064).
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035242). 

 -- Roland Mas <lolando@debian.org>  Wed, 11 Sep 2024 15:23:43 +0200
